### Hierarchy

- PathNode

## Index

### Constructors

- constructor

### Properties

- paramSchema
- paramValues
- resolvables
- state
- views

### Methods

- applyRawParams
- clone
- diff
- equals
- parameter
- clone

## Constructors

- new PathNode(node: PathNode): PathNode

- Creates a copy of a PathNode

- new PathNode(state: StateObject): PathNode

- Creates a new (empty) PathNode for a State

- Creates a copy of a PathNode

  #### Parameters

  - ##### node PathNode

  #### Returns PathNode

  - Defined in path/pathNode.ts:35

- Creates a new (empty) PathNode for a State

  #### Parameters

  - ##### state StateObject

  #### Returns PathNode

  - Defined in path/pathNode.ts:38

## Properties

paramSchema: Param[]

The parameters declared on the state

The parameters declared on the state

- Defined in path/pathNode.ts:23

paramValues: object

The parameter values that belong to the state

The parameter values that belong to the state

#### Type declaration

- ##### [key: string]: any

- Defined in path/pathNode.ts:25

resolvables: Resolvable[]

The individual (stateful) resolvable objects that belong to the state

The individual (stateful) resolvable objects that belong to the state

- Defined in path/pathNode.ts:27

state: StateObject

The state being entered, exited, or retained

The state being entered, exited, or retained

- Defined in path/pathNode.ts:21

views: ViewConfig[]

The state's declared view configuration objects

The state's declared view configuration objects

- Defined in path/pathNode.ts:29

## Methods

- applyRawParams(params: RawParams): PathNode

- Sets paramValues for the node, from the values of an object hash

- Sets paramValues for the node, from the values of an object hash

  #### Parameters

  - ##### params RawParams

  #### Returns PathNode

  - Defined in path/pathNode.ts:63

- clone(): PathNode

- #### Returns PathNode

  - Defined in path/pathNode.ts:58

- diff(node: PathNode, paramsFn?: GetParamsFn): Param[] | false

- Finds Params with different parameter values on another PathNode.

- Finds Params with different parameter values on another PathNode.

  Given another node (of the same state), finds the parameter values which differ. Returns the Param (schema objects) whose parameter values differ.

  Given another node for a different state, returns `false`

  #### Parameters

  - ##### node PathNode

    :

    The node to compare to

  - ##### paramsFn: Optional GetParamsFn

    :

    A function that returns which parameters should be compared.

  #### Returns Param[] | false

  :

  The Params which differ, or null if the two nodes are for different states

  - Defined in path/pathNode.ts:95

- equals(node: PathNode, paramsFn?: GetParamsFn): boolean

- #### Parameters

  - ##### node PathNode

  - ##### paramsFn: Optional GetParamsFn

  #### Returns boolean

  :

  true if the state and parameter values for another PathNode are equal to the state and param values for this PathNode

  - Defined in path/pathNode.ts:78

- parameter(name: string): Param

- Gets a specific Param metadata that belongs to the node

- Gets a specific Param metadata that belongs to the node

  #### Parameters

  - ##### name string

  #### Returns Param

  - Defined in path/pathNode.ts:70

- clone(node: PathNode): PathNode

- Returns a clone of the PathNode

- Returns a clone of the PathNode

  #### Parameters

  - ##### node PathNode

  #### Returns PathNode

  - Defined in path/pathNode.ts:35

Generated using TypeDoc